CRAN Package Check Results for Package Rmagic

Last updated on 2019-03-18 17:48:32 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.4.0 8.34 75.21 83.55 ERROR
r-devel-linux-x86_64-debian-gcc 1.4.0 8.86 69.42 78.28 OK
r-devel-linux-x86_64-fedora-clang 1.4.0 111.86 ERROR
r-devel-linux-x86_64-fedora-gcc 1.4.0 108.75 ERROR
r-devel-windows-ix86+x86_64 1.4.0 27.00 133.00 160.00 OK
r-patched-linux-x86_64 1.4.0 4.56 69.88 74.44 ERROR
r-patched-solaris-x86 1.4.0 189.60 NOTE
r-release-linux-x86_64 1.4.0 5.44 70.40 75.84 ERROR
r-release-windows-ix86+x86_64 1.4.0 17.00 91.00 108.00 OK
r-release-osx-x86_64 1.4.0 OK
r-oldrel-windows-ix86+x86_64 1.4.0 27.00 135.00 162.00 OK
r-oldrel-osx-x86_64 1.4.0 OK

Check Details

Version: 1.4.0
Check: examples
Result: ERROR
    Running examples in 'Rmagic-Ex.R' failed
    The error most likely occurred in:
    
    > base::assign(".ptime", proc.time(), pos = "CheckExEnv")
    > ### Name: ggplot.magic
    > ### Title: Convert a MAGIC object to a data.frame for ggplot
    > ### Aliases: ggplot.magic
    >
    > ### ** Examples
    >
    > if (reticulate::py_module_available("magic") && require(ggplot2)) {
    +
    + data(magic_testdata)
    + data_magic <- magic(magic_testdata, genes=c("VIM", "CDH1", "ZEB1"))
    + ggplot(data_magic, aes(VIM, CDH1, colour=ZEB1)) +
    + geom_point()
    +
    + }
    Loading required package: ggplot2
    Error in py_get_attr_impl(x, name, silent) :
     AttributeError: module 'magic' has no attribute 'MAGIC'
    Calls: magic ... py_get_attr_or_item -> py_get_attr -> py_get_attr_impl
    Execution halted
Flavors: r-devel-linux-x86_64-debian-clang, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 1.4.0
Check: examples
Result: ERROR
    Running examples in ‘Rmagic-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: ggplot.magic
    > ### Title: Convert a MAGIC object to a data.frame for ggplot
    > ### Aliases: ggplot.magic
    >
    > ### ** Examples
    >
    > if (reticulate::py_module_available("magic") && require(ggplot2)) {
    +
    + data(magic_testdata)
    + data_magic <- magic(magic_testdata, genes=c("VIM", "CDH1", "ZEB1"))
    + ggplot(data_magic, aes(VIM, CDH1, colour=ZEB1)) +
    + geom_point()
    +
    + }
    Loading required package: ggplot2
    Error in py_get_attr_impl(x, name, silent) :
     AttributeError: 'module' object has no attribute 'MAGIC'
    Calls: magic ... py_get_attr_or_item -> py_get_attr -> py_get_attr_impl
    Execution halted
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.4.0
Check: installed package size
Result: NOTE
     installed size is 5.4Mb
     sub-directories of 1Mb or more:
     examples 4.9Mb
Flavor: r-patched-solaris-x86